<?php

class Controller_Api_V0_SyncLogs extends Controller_Handler_Api
{

    /**
     * @api {get} api/v0/LogSync Log synchronization with 1C
     * @apiName Log synchronization with 1C
     * @apiGroup Sync
     * @apiVersion 0.1.0
     * @apiParam {String} token Api key
     * @apiDescription This method logs 1C synchronization timestamp
     * @apiExample {curl} Example usage:
     * curl -i http://grade/~dev_rating/api/v0/SyncLogs?token=osw839hfgh9a23hgfh92hasff232f2oasf
     * @apiSuccessExample {json} Success-Response:
     * HTTP/1.1 200 OK
     * {
     *      "response": {
     *      }
     * }
     *
     */
    public function action_get_index()
    {
        try {
            $response = [];
            Model_System::Log1CSync();
            return $response;
        } catch (Exception $e) {
            $this->badRequestError($e->getMessage());
        }

        return null;
    }
}
